Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364894 - GCE instance was retired, but was not power off
Summary: GCE instance was retired, but was not power off
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Tina Fitzgerald
QA Contact: Dave Johnson
URL:
Whiteboard: gce:retirement
Depends On:
Blocks: 1368170
TreeView+ depends on / blocked
 
Reported: 2016-08-08 06:50 UTC by Kyrylo Zvyagintsev
Modified: 2017-06-20 04:04 UTC (History)
11 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1368170 (view as bug list)
Environment:
Last Closed: 2017-01-11 19:54:39 UTC
Category: Bug
Cloudforms Team: ---
kzvyahin: automate_bug+


Attachments (Terms of Use)

Comment 2 Adam Grare 2016-08-11 16:08:21 UTC
Vm.stop is never called during the retirement phase because generic pre_retirement state-machine method, moving to automate.

Comment 3 Adam Grare 2016-08-11 16:10:07 UTC
ETA: because there is no generic pre_retirement state-machine method

Comment 5 CFME Bot 2016-08-16 15:30:47 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5a99030b06f3a1302b65ac53ff335aa83923ab63

commit 5a99030b06f3a1302b65ac53ff335aa83923ab63
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Thu Aug 11 14:42:14 2016 -0400
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Thu Aug 11 14:42:14 2016 -0400

    Automate - Cloud Retirement - Add google specific retirement states.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1364894

 .../StateMachines/Methods.class/__class__.yaml     | 40 ++++++++++++++++++++++
 .../Methods.class/__methods__/pre_retirement.rb    | 10 ++++++
 .../Methods.class/__methods__/pre_retirement.yaml  | 12 +++++++
 .../Methods.class/checkpreretirement.yaml          |  2 ++
 .../StateMachines/Methods.class/preretirement.yaml |  2 ++
 5 files changed, 66 insertions(+)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Retirement/StateMachines/Methods.class/__methods__/pre_retirement.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Retirement/StateMachines/Methods.class/__methods__/pre_retirement.yaml

Comment 7 Satoe Imaishi 2016-08-29 12:29:37 UTC
Greg, the PR doesn't have darga label, but we have 5.6.z clone for this bug. Are we going to backport this to darga?

Comment 8 Greg McCullough 2016-08-29 13:11:11 UTC
Yes, it should be back-ported.  I added the darga/yes label.


Note You need to log in before you can comment on or make changes to this bug.